@import "vendor/bootstrap/bootstrap/variables";
@import "variables";
@import "vendor/slick";

.gitlab-promo-banner {
  padding-bottom: 3px;
  background-color: $color-primary-alt;
  font-size: 16px;
  text-align: center;
  line-height: 32px;

  > a {
    color: $color-white;
    border-bottom: 1px solid $color-white;

    &:hover {
      border-bottom-color: transparent;
      text-decoration: none;
    }
  }
}

.landing-container {

  > .container {
    position: relative;
    z-index: 9;
  }

  .landing-hero {
    margin: 10px 0 50px;

    path {
      fill: $color-secondary;
    }
  }

  .page-headline {
    margin-bottom: 0;
  }

  .page-subtitle {
    font-size: 28px;

    @media (max-width: $screen-xs-max) {
      font-size: 24px;
    }
  }

  h2 {
    color: $blueish-gray;
    font-weight: 300;
    margin-top: 10px;
  }
}

.splash-container {
  position: relative;
  padding-bottom: 30px;

  @media (max-width: $screen-sm-max) {
    padding-bottom: 0;
  }

}

.dev-cycle {
  padding: 30px 0 50px;

  // Horizontally align overflowing absolutely positioned
  // step names within fixed-width containers
  .step-name-container {
    position: absolute;
    left: 50%;

    .step-name {
      position: relative;
      left: -50%;
    }
  }

  svg {
    height: 46px;
    width: 46px;

    path {
      fill: $blueish-gray;
      transition: fill .2s linear;
    }
  }

  .step {
    width: 46px;
    display: inline-block;
    margin: 0 20px;
    position: relative;
    color: $blueish-gray;

    .step-name {
      text-transform: uppercase;
    }
  }

  .arrows {
    position: absolute;
    top: 15px;
    right: -25px;

    i {
      color: $color-white;
    }
  }
}

.landing-community {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background-color: $landing-community-bg;

  &::after {
    content: "";
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background-image: linear-gradient(to bottom, rgba($landing-community-bg, .85), $landing-community-bg 85%);
  }

  .community-image {
    position: relative;
    float: left;
    width: 12.5%;
    padding-top: 12.5%;
    height: auto;
    overflow: hidden;

    @media (min-width: 768px) {
      width: 6.25%;
      padding-top: 6.25%;
    }

    @media (min-width: 1200px) {
      width: 5%;
      padding-top: 5%;
    }

    img {
      position: absolute;
      top: 0;
      right: 0;
      display: none;
    }

    .is-loaded {
      display: block;
    }
  }
}

.organizations-disclaimer {
  font-size: 12px;
}

.organizations-logo {
  margin-bottom: 10px;
  line-height: 80px;

  @media (min-width: 990px) {
    margin-bottom: 25px;
  }

  img {
    height: auto;
    max-height: 75px;
  }
}

.testimonials {
  background-color: $color-white;
  padding-bottom: 20px;
  font-weight: 300;
  border-bottom: 1px solid $landing-organization-color;

  @media (min-width: 990px) {
    padding-bottom: 50px;
  }

  @media (min-width: 1200px) {
    padding-bottom: 70px;
  }

  a:hover {
    text-decoration: none;
  }

  .testimonials-item-link {
    display: inline-block;
  }

  .testimonials-item-image {
    margin-bottom: 10px;
    height: 68px;
    width: 170px;
  }

  .testimonials-item-content {
    margin-bottom: 0;
    color: $color-secondary;
    font-size: 26px;
    line-height: 1.15;
    border-left: 0;

    @media (min-width: 990px) {
      font-size: 36px;
    }
  }

  .slick-slide {
    outline: none;
  }

  .slick-dots {
    padding-left: 0;
    margin-bottom: 0;
    list-style: none;
    text-align: center;

    > li {
      display: inline-block;
      margin-left: 2px;
      margin-right: 2px;
      border-radius: 50%;
    }

    .slick-active {
      background-color: $landing-organization-color;
    }
  }

  button {
    display: block;
    width: 10px;
    height: 10px;
    padding: 0;
    border: 1px solid $landing-organization-color;
    border-radius: 50%;
    color: transparent;
    background-color: transparent;
    font-size: 0;
    line-height: 0;
    outline: none;

    &:hover {
      background-color: $landing-organization-color;
    }
  }
}

.try-gitlab-ee {
  border-bottom: 1px solid $landing-organization-color;
}

.idea-to-production {
  background-color: $color-primary-alt;
  padding: 100px 0 60px;
  position: relative;
  z-index: 10;

  @media (max-width: $screen-md-max) {
    padding: 40px 0 0;
  }

  h1 {
    color: $color-white;
    text-align: center;
    margin-bottom: 40px;
  }

  a {
    color: $color-white;
    text-decoration: underline;

    &:hover {
      text-decoration: none;
    }
  }

  .tools-row {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-bottom: 80px;
  }

  h3 {
    color: $color-secondary-alt;
    margin-top: 0;
  }

  .description {
    color: $color-white;
    font-size: 18px;
  }

  @media (max-width: $screen-sm-max) {

    .tools-row {
      display: block;
    }

    .description,
    img {
      margin-bottom: 30px;
    }
  }
}

.homepage-blog-section {
  padding: 70px 0 20px;

  .cover {
    text-decoration: none;
    display: block;
    width: 100%;
    height: 200px;
    background-repeat: no-repeat;
    background-position: 50%;
    background-size: cover;
    position: relative;
    margin-bottom: 12px;
  }

  .overlay {
    background: linear-gradient(123deg, $blog-color-image-from, $blog-color-image-to);
    display: block;
    height: 100%;
  }

  h2 {
    font-size: 24px;
    margin: 0;
    padding: 20px;
    text-align: center;
    color: $blog-color-heading;
    vertical-align: middle;
    font-weight: 600;
    position: relative;
    top: 50%;
    transform: translateY(-50%);
  }
}
